Sign in

ProductsUnderstand

Decisionslive

Product and design documents with versions, reviews and diagrams

Product plans, proposals and decision records, reviewed like code. Decisions is where a team writes down what it wants to build, proposes changes and records why it chose what it chose. Each document keeps its versions, reviews, diagrams and a dated log of what was done, and the pull requests that carry it out are linked to it. We write every design here first: our own RFCs run on it, and the ones we share are on rfcs.inorbit.hr for people with access.

Live today. Accounts open after a 30-minute call.

Status
live
Group
Understand
Defined in
RFC 0035, RFC 0041
0%

01The problem

Decisions get made in chat threads and documents nobody can find later. When the code drifts from what was decided, nobody notices until it breaks.

02How it works

How it works

A document moves from draft to decided with every step kept, and the pull requests that implement it are linked to it.

Where it runs

On the platform: in the console, through the API and from AI assistants, and as a command (iohr lab check) on your own repository.

What it reads

The documents you write, their versions and reviews, and the pull requests that implement them, through the GitHub App (on our own repository today; yours is coming).

What you approve

Named reviewers approve or ask for changes, and a person decides. An AI assistant may only approve where the space's owner allowed it for that kind of document, and its answer is recorded on that person's behalf. Making a document public needs the right to manage it and passes the redaction check.
01DraftIn the console, over the API or by an agent.live
02ChecksHeader, log, private details hidden.live
03ReviewNamed reviewers; a person decides.live
04Pull requestsLinked by API, assistant or CLI; state read from GitHub.live
05Public, if you chooseServed through redaction.live

03What you getlive

What you get

Each line says how far it is built today. Live means it serves in production today; preview means it runs in early access or as a pre-release; coming means it is written down and not built yet.
  • Three kinds of document, one placelivePRDs for product intent, RFCs for proposals, ADRs for decisions, in spaces with access levels from public to internal. Every save is a version; a save on a stale one is refused.
  • Reviews and a status logliveNamed reviewers approve or ask for changes, and a person decides. Each document keeps a dated log of what was done.
  • The pull requests that carry it outin partLink a pull request to a document through the API, an AI assistant or iohr decisions link-pr, and its state, review and checks are read from GitHub through the GitHub App. Listing them on the document's page in the console is coming.
  • Checked like codeliveThe file name, the header block, the log and the hiding of private details are checked, the same way in the product and in iohr lab check on your repository.
  • Published through redactionliveA public document is shown on its own site and refused if it names an internal server, an address or a secret. A fact we keep back shows as a bar with the reason.
  • Linked to the code it governsin developmentAtlas will tie each decision to the services and files it governs, and flag the running system when it goes against one. In development.

04In the consoleExample data

In the console

An ADR as the console shows it: its status and stage, who decides, the review, the checks and the dated log.

Platform · ADRs

ADR-0017Retries to the ledger, at most three

Checkout retries a failed ledger call at most three times, with jittered backoff, so a slow ledger cannot charge a payment twice.

acceptedbuildingEmma Walker decides by 2026-12-01TeamVersion 4 of 4 by Luka Novak, 2026-10-07No findingsEdit

Context

Under load the ledger answers in up to 4 s. Checkout retried five times with no backoff, and one slow call became five writes.

Decision1 open thread

At most three retries, 200 ms to 1.6 s apart with jitter, each with the same idempotency key.

max_retries = 3
Supersedes
ADR-0009
References
RFC-0012 · Ledger client

Status log

  1. Proposed, version 1
  2. Accepted by Emma Walker, 2 approvals on version 3
  3. Building: the checkout client retries behind a flag
  4. Backoff measured on staging, version 4

Example data

Drawn from the console's own layout. The services, times and numbers are made up for the example.

05Proof and links

Proof and links

Every claim on this page has its evidence: the documents that define it, the docs that say how to use it, and the API it runs on.

The evidence rule: a model saying it succeeded is never evidence. What counts is what was measured, by what, and when.

Your data, your call

Each document has an access level. A public one passes the redaction check before it is served, and a classified span reaches only readers cleared for it.

Logs record who did what and the outcome, never content. InOrbit stores only a reference to each credential, such as vault:kv/payments#token, never its value, and never logs it. The platform's own models are self-hosted; a third-party model provider is one you connect with your own key, and it bills you directly, with no line or markup from InOrbit. Separately, our own DPAs with model providers are in progress, none signed yet. InOrbit is not certified: no auditor has attested its controls yet, and the known gaps are listed.

The company's facts, controls and gaps →

06Questions

Questions, answered plainly

Can we import the RFCs we already have?
Markdown files in our format load from a repository; that is how ours got in. Keeping a repository in sync both ways is not built yet.
Can an AI agent write a document?
It can draft, save new versions and comment through MCP, the API or iohr decisions, under the caller's rights. It may approve or ask for changes only where the space's owner allowed that for the kind of document, and its answer is then recorded on that person's behalf.
Who can use it today?
Teams in early access, in the console. We write every one of our own designs on it, and the ones we share are on rfcs.inorbit.hr for people with access.

Next step

See it on your own system

Book 30 minutes with an engineer. We look at your system together and, where it fits, open early access for your team.